<template>
    <div>
        <layout>
            <h1 v-text="title" class="text-center text-gray-700 text-2xl mt-5 pb-0"></h1>
            <user-creator :config="config"></user-creator>
            <users-table :config="config"></users-table>
            <footer class="w-full bg-gray-300 text-gray-500 text-center py-3">
                Shahin.n14001995@gmail.com
            </footer>
        </layout>
    </div>
</template>

<script>
import Layout from '../components/Layout.vue'
import UserCreator from '../components/UserCreator.vue'
import UsersTable from '../components/UsersTable.vue'
import ui_config from '/API/uiconfig.json'
export default {
    components: { UserCreator, UsersTable, Layout },
    name: 'users',
    data(){
        return{
            title:'',
            config: {}
        }
    },
    mounted(){
        this.title = ui_config.title;
        this.config = ui_config;
    },
}
</script>
